package com.ruoyi.app.service.impl;

import java.util.List;

import com.ruoyi.app.domain.AppWcsTask;
import com.ruoyi.app.mapper.AppWcsTaskMapper;
import com.ruoyi.app.service.IAppWcsTaskService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-15
 */
@Service
public class AppWcsTaskServiceImpl implements IAppWcsTaskService
{
    @Autowired
    private AppWcsTaskMapper appWcsTaskMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param wcsTaskId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public AppWcsTask selectAppWcsTaskByWcsTaskId(String wcsTaskId)
    {
        return appWcsTaskMapper.selectAppWcsTaskByWcsTaskId(wcsTaskId);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appWcsTask 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<AppWcsTask> selectAppWcsTaskList(AppWcsTask appWcsTask)
    {
        return appWcsTaskMapper.selectAppWcsTaskList(appWcsTask);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param appWcsTask 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertAppWcsTask(AppWcsTask appWcsTask)
    {
        appWcsTask.setCreateTime(DateUtils.getNowDate());
        return appWcsTaskMapper.insertAppWcsTask(appWcsTask);
    }

    @Override
    public int batchInsertAppWcsTask(List<AppWcsTask> appWcsTaskList) {
        return appWcsTaskMapper.batchInsertAppWcsTask(appWcsTaskList);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param appWcsTask 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateAppWcsTask(AppWcsTask appWcsTask)
    {
        return appWcsTaskMapper.updateAppWcsTask(appWcsTask);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param wcsTaskIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppWcsTaskByWcsTaskIds(String[] wcsTaskIds)
    {
        return appWcsTaskMapper.deleteAppWcsTaskByWcsTaskIds(wcsTaskIds);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param wcsTaskId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppWcsTaskByWcsTaskId(String wcsTaskId)
    {
        return appWcsTaskMapper.deleteAppWcsTaskByWcsTaskId(wcsTaskId);
    }
}
